Hooks:Add("LocalizationManagerPostInit", "Masksafes2", function(loc)
	LocalizationManager:add_localized_strings({
["bm_txt_bloodstains"] = "Bloodstains",
["bm_txt_blurred"] = "Blurred",
["bm_txt_chains2"] = "Chained",
["bm_txt_overkilllogo"] = "Overkill logo",
["bm_txt_psybilly"] = "Psybilly",
["bm_txt_raster"] = "Raster",
["bm_txt_rockabilly"] = "Rockabilly",
["bm_txt_rosered"] = "Rosered",
["bm_txt_stripes"] = "Stripes",
["bm_txt_whiskeylabel"] = "Whiskey Label",
["bm_txt_verdunne"] = "Verdunne",
["bm_txt_trex"] = "Trex",
["bm_txt_shark"] = "Shark",
["bm_txt_pinupp_df"] = "Pinup Flipped",
["bm_txt_pinup_df"] = "Pinup",
["bm_txt_overkill"] = "Overkill",
["bm_txt_hypetrain"] = "Hypetrain",
["bm_txt_headshotskull"] = "Headshot Skull",
["bm_txt_golden"] = "Golden",
["bm_txt_flame"] = "Flame",
["bm_txt_falcogini"] = "Falcogini",
["bm_txt_dwskull"] = "Mix Primary and Secondary",
["bm_txt_dragons"] = "Dragons",
["bm_txt_dallaslogo"] = "Dallas logo",
["bm_txt_dabomb"] = "Dabomb",
["bm_txt_burningskull"] = "Burning skull",
["bm_txt_boom"] = "Boom",
["bm_txt_bombsaway"] = "Bombsaway",
["bm_txt_bloodsplat"] = "Bloodsplat",
["bm_txt_biohazard"] = "Biohazard",
["bm_txt_bdsm"] = "Bdsm",
["bm_txt_angrybomb"] = "Angry bomb",
["bm_txt_americanflag2"] = "Tinted",
["bm_txt_americanflag1"] = "Line of Stars",
["bm_txt_8ball"] = "8ball",
})
end)


Hooks:Add("NetworkReceivedData", "NetworkReceivedData_Masksafes2", function(peer_id, id, data)
	if id == "Masksafes2ModPeer" and data == "V1" then
		managers.network:session():peer(peer_id):set_has_Mask_set2(true)
		LuaNetworking:SendToPeers( "Masksafes2ModPeerReply", "V1" )
		managers.network:session():check_send_outfit(nil, true)
		log("has Mask set2")
	end
	if id == "Masksafes2ModPeerReply" and data == "V1" then
		managers.network:session():peer(peer_id):set_has_Mask_set2(true)
		log("has Mask set2")
	end
	if string.match(id, "%w+") == "Masksafes2SyncOutfit" then
		--managers.network._handlers.connection:sync_outfit(data, tonumber(string.match(id, "%d+")), "", managers.network:session():peer(peer_id))
		local peer = managers.network:session():peer(peer_id)
		peer:set_outfit_string(data, tonumber(string.match(id, "%d+")), "")
		if managers.network:session():is_host() then
			managers.network:session():chk_request_peer_outfit_load_status()
		end
		local local_peer = managers.network:session() and managers.network:session():local_peer()
		local in_lobby = local_peer and local_peer:in_lobby() and game_state_machine:current_state_name() ~= "ingame_lobby_menu" and not setup:is_unloading()
		if managers.menu_scene and in_lobby then
			managers.menu_scene:set_lobby_character_out_fit(peer:id(), data, peer:rank())
		end
		local kit_menu = managers.menu:get_menu("kit_menu")
		if kit_menu then
			kit_menu.renderer:set_slot_outfit(peer:id(), peer:character(), data)
		end
		--log(string.match(id, "%w+") .. "|" .. string.match(id, "%d+") .. "|" .. data)
	end
end)


Hooks:Add("NetworkGameOnGameJoined", "Masksafes2OnGameJoined", function(local_peer, id)
	LuaNetworking:SendToPeers( "Masksafes2ModPeer", "V1" )
	--MenuCallbackHandler:_update_outfit_information()
	log("send Mask set2 OnGameJoined")
end)
Hooks:Add("NetworkManagerOnPeerAdded", "Masksafes2OnPeerAdded", function(peer, id)
	LuaNetworking:SendToPeers( "Masksafes2ModPeer", "V1" )
	managers.network:session():check_send_outfit()
	log("send Mask set2 OnPeerAdded")
end)
Hooks:Add("BaseNetworkSessionOnLoadComplete", "Masksafes2OnLoadComplete", function(peer, id)
	LuaNetworking:SendToPeers( "Masksafes2ModPeer", "V1" )
	log("send Mask set2 OnPeerAdded")
end)
Hooks:Add("BaseNetworkSessionOnPeerEnteredLobby", "peer_entered_lobby_test", function(peer, id)
	LuaNetworking:SendToPeers( "Masksafes2ModPeer", "V1" )
	managers.network:session():check_send_outfit()
	log("send Mask set2 OnPeerEnteredLobby")
end)


if MenuManager then
	Hooks:PostHook(MenuManager, "open_node", "Masksafes2_open_node", function(ply)
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_bloodstains") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_bloodstains", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_blurred") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_blurred", true)
end
 if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_chains2") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_chains2", true)
 end
 if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_overkilllogo") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_overkilllogo", true)
end
 if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_psybilly") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_psybilly", true)
end
 if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_raster") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_raster", true)
end
 if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_rockabilly") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_rockabilly", true)
end
 if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_rosered") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_rosered", true)
end
 if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_stripes") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_stripes", true)
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_dragons") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_dragons", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_dwskull") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_dwskull", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_golden") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_golden", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_8ball") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_8ball", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_angrybomb") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_angrybomb", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_bdsm") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_bdsm", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_biohazard") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_biohazard", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_bloodsplat") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_bloodsplat", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_bombsaway") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_bombsaway", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_boom") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_boom", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_burningskull") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_burningskull", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_dabomb") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_dabomb", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_falcogini") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_falcogini", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_flame") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_flame", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_headshotskull") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_headshotskull", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_hypetrain") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_hypetrain", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_overkill") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_overkill", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_pinupp_df") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_pinupp_df", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_pinup_df") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_pinup_df", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_shark") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_shark", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_trex") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_trex", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_verdunne") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_verdunne", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_whiskeylabel") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_whiskeylabel", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_americanflag2") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_americanflag2", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_americanflag1") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_americanflag1", true)
--log("not own")
end
if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ptrn_dallaslogo") then
 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ptrn_dallaslogo", true)
--log("not own")
end
	end)

end

_G.Masksafes2_peer_fixes = {
["wpn_ptrn_bloodstains"] = "no_color_full_material",
["wpn_ptrn_blurred"] = "no_color_full_material",
["wpn_ptrn_chains2"] = "no_color_full_material",
["wpn_ptrn_overkilllogo"] = "no_color_full_material",
["wpn_ptrn_psybilly"] = "no_color_full_material",
["wpn_ptrn_raster"] = "no_color_full_material",
["wpn_ptrn_rockabilly"] = "no_color_full_material",
["wpn_ptrn_rosered"] = "no_color_full_material",
["wpn_ptrn_stripes"] = "no_color_full_material",
["wpn_ptrn_whiskeylabel"] = "no_color_full_material",
["wpn_ptrn_verdunne"] = "no_color_full_material",
["wpn_ptrn_trex"] = "no_color_full_material",
["wpn_ptrn_shark"] = "no_color_full_material",
["wpn_ptrn_pinupp_df"] = "no_color_full_material",
["wpn_ptrn_pinup_df"] = "no_color_full_material",
["wpn_ptrn_overkill"] = "no_color_full_material",
["wpn_ptrn_hypetrain"] = "no_color_full_material",
["wpn_ptrn_headshotskull"] = "no_color_full_material",
["wpn_ptrn_golden"] = "no_color_full_material",
["wpn_ptrn_flame"] = "no_color_full_material",
["wpn_ptrn_falcogini"] = "no_color_full_material",
["wpn_ptrn_dwskull"] = "no_color_full_material",
["wpn_ptrn_dragons"] = "no_color_full_material",
["wpn_ptrn_dallaslogo"] = "no_color_full_material",
["wpn_ptrn_dabomb"] = "no_color_full_material",
["wpn_ptrn_burningskull"] = "no_color_full_material",
["wpn_ptrn_boom"] = "no_color_full_material",
["wpn_ptrn_bombsaway"] = "no_color_full_material",
["wpn_ptrn_bloodsplat"] = "no_color_full_material",
["wpn_ptrn_biohazard"] = "no_color_full_material",
["wpn_ptrn_bdsm"] = "no_color_full_material",
["wpn_ptrn_angrybomb"] = "no_color_full_material",
["wpn_ptrn_americanflag2"] = "no_color_full_material",
["wpn_ptrn_americanflag1"] = "no_color_full_material",
["wpn_ptrn_8ball"] = "no_color_full_material"
}


if not tweak_data then return end
tweak_data.blackmarket.textures.wpn_ptrn_stripes= {}
tweak_data.blackmarket.textures.wpn_ptrn_stripes.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_stripes.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_stripes.texture = "units/payday2_cash/safes/cop/pattern/pattern_stripes_df"
tweak_data.blackmarket.textures.wpn_ptrn_stripes.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_stripes.name_id = "bm_txt_stripes"
tweak_data.blackmarket.textures.wpn_ptrn_rosered= {}
tweak_data.blackmarket.textures.wpn_ptrn_rosered.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_rosered.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_rosered.texture = "units/payday2_cash/safes/cop/pattern/pattern_rosered_df"
tweak_data.blackmarket.textures.wpn_ptrn_rosered.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_rosered.name_id = "bm_txt_rosered"
tweak_data.blackmarket.textures.wpn_ptrn_rockabilly= {}
tweak_data.blackmarket.textures.wpn_ptrn_rockabilly.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_rockabilly.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_rockabilly.texture = "units/payday2_cash/safes/cop/pattern/pattern_rockabilly_df"
tweak_data.blackmarket.textures.wpn_ptrn_rockabilly.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_rockabilly.name_id = "bm_txt_rockabilly"
tweak_data.blackmarket.textures.wpn_ptrn_raster= {}
tweak_data.blackmarket.textures.wpn_ptrn_raster.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_raster.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_raster.texture = "units/payday2_cash/safes/cop/pattern/pattern_raster_df"
tweak_data.blackmarket.textures.wpn_ptrn_raster.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_raster.name_id = "bm_txt_raster"
tweak_data.blackmarket.textures.wpn_ptrn_psybilly= {}
tweak_data.blackmarket.textures.wpn_ptrn_psybilly.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_psybilly.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_psybilly.texture = "units/payday2_cash/safes/cop/pattern/pattern_psybilly_df"
tweak_data.blackmarket.textures.wpn_ptrn_psybilly.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_psybilly.name_id = "bm_txt_psybilly"
tweak_data.blackmarket.textures.wpn_ptrn_overkilllogo= {}
tweak_data.blackmarket.textures.wpn_ptrn_overkilllogo.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_overkilllogo.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_overkilllogo.texture = "units/payday2_cash/safes/cop/pattern/pattern_overkill_logo_df"
tweak_data.blackmarket.textures.wpn_ptrn_overkilllogo.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_overkilllogo.name_id = "bm_txt_overkilllogo"
tweak_data.blackmarket.textures.wpn_ptrn_chains2= {}
tweak_data.blackmarket.textures.wpn_ptrn_chains2.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_chains2.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_chains2.texture = "units/payday2_cash/safes/cop/pattern/pattern_chains_df"
tweak_data.blackmarket.textures.wpn_ptrn_chains2.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_chains2.name_id = "bm_txt_chains2"
tweak_data.blackmarket.textures.wpn_ptrn_blurred= {}
tweak_data.blackmarket.textures.wpn_ptrn_blurred.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_blurred.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_blurred.texture = "units/payday2_cash/safes/cop/pattern/pattern_blurred_df"
tweak_data.blackmarket.textures.wpn_ptrn_blurred.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_blurred.name_id = "bm_txt_blurred"
tweak_data.blackmarket.textures.wpn_ptrn_bloodstains= {}
tweak_data.blackmarket.textures.wpn_ptrn_bloodstains.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_bloodstains.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_bloodstains.texture = "units/payday2_cash/safes/cop/pattern/pattern_bloodstains_df"
tweak_data.blackmarket.textures.wpn_ptrn_bloodstains.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_bloodstains.name_id = "bm_txt_bloodstains"
tweak_data.blackmarket.textures.wpn_ptrn_whiskeylabel= {}
tweak_data.blackmarket.textures.wpn_ptrn_whiskeylabel.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_whiskeylabel.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_whiskeylabel.texture = "units/payday2_cash/safes/cop/sticker/sticker_whiskey_label_df"
tweak_data.blackmarket.textures.wpn_ptrn_whiskeylabel.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_whiskeylabel.name_id = "bm_txt_whiskeylabel"
tweak_data.blackmarket.textures.wpn_ptrn_verdunne= {}
tweak_data.blackmarket.textures.wpn_ptrn_verdunne.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_verdunne.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_verdunne.texture = "units/payday2_cash/safes/cop/sticker/sticker_verdunne_df"
tweak_data.blackmarket.textures.wpn_ptrn_verdunne.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_verdunne.name_id = "bm_txt_verdunne"
tweak_data.blackmarket.textures.wpn_ptrn_trex= {}
tweak_data.blackmarket.textures.wpn_ptrn_trex.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_trex.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_trex.texture = "units/payday2_cash/safes/cop/sticker/sticker_trex_df"
tweak_data.blackmarket.textures.wpn_ptrn_trex.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_trex.name_id = "bm_txt_trex"
tweak_data.blackmarket.textures.wpn_ptrn_shark= {}
tweak_data.blackmarket.textures.wpn_ptrn_shark.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_shark.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_shark.texture = "units/payday2_cash/safes/cop/sticker/sticker_shark_df"
tweak_data.blackmarket.textures.wpn_ptrn_shark.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_shark.name_id = "bm_txt_shark"
tweak_data.blackmarket.textures.wpn_ptrn_pinupp_df= {}
tweak_data.blackmarket.textures.wpn_ptrn_pinupp_df.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_pinupp_df.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_pinupp_df.texture = "units/payday2_cash/safes/cop/sticker/sticker_pinupp_df"
tweak_data.blackmarket.textures.wpn_ptrn_pinupp_df.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_pinupp_df.name_id = "bm_txt_pinupp_df"
tweak_data.blackmarket.textures.wpn_ptrn_pinup_df= {}
tweak_data.blackmarket.textures.wpn_ptrn_pinup_df.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_pinup_df.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_pinup_df.texture = "units/payday2_cash/safes/cop/sticker/sticker_pinup_df"
tweak_data.blackmarket.textures.wpn_ptrn_pinup_df.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_pinup_df.name_id = "bm_txt_pinup_df"
tweak_data.blackmarket.textures.wpn_ptrn_overkill= {}
tweak_data.blackmarket.textures.wpn_ptrn_overkill.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_overkill.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_overkill.texture = "units/payday2_cash/safes/cop/sticker/sticker_overkill_df"
tweak_data.blackmarket.textures.wpn_ptrn_overkill.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_overkill.name_id = "bm_txt_overkill"
tweak_data.blackmarket.textures.wpn_ptrn_hypetrain= {}
tweak_data.blackmarket.textures.wpn_ptrn_hypetrain.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_hypetrain.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_hypetrain.texture = "units/payday2_cash/safes/cop/sticker/sticker_hypetrain_df"
tweak_data.blackmarket.textures.wpn_ptrn_hypetrain.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_hypetrain.name_id = "bm_txt_hypetrain"
tweak_data.blackmarket.textures.wpn_ptrn_headshotskull= {}
tweak_data.blackmarket.textures.wpn_ptrn_headshotskull.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_headshotskull.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_headshotskull.texture = "units/payday2_cash/safes/cop/sticker/sticker_headshot_skull_df"
tweak_data.blackmarket.textures.wpn_ptrn_headshotskull.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_headshotskull.name_id = "bm_txt_headshotskull"
tweak_data.blackmarket.textures.wpn_ptrn_golden= {}
tweak_data.blackmarket.textures.wpn_ptrn_golden.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_golden.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_golden.texture = "units/payday2_cash/safes/cop/sticker/golden_df"
tweak_data.blackmarket.textures.wpn_ptrn_golden.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_golden.name_id = "bm_txt_golden"
tweak_data.blackmarket.textures.wpn_ptrn_flame= {}
tweak_data.blackmarket.textures.wpn_ptrn_flame.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_flame.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_flame.texture = "units/payday2_cash/safes/cop/sticker/sticker_flame_df"
tweak_data.blackmarket.textures.wpn_ptrn_flame.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_flame.name_id = "bm_txt_flame"
tweak_data.blackmarket.textures.wpn_ptrn_falcogini= {}
tweak_data.blackmarket.textures.wpn_ptrn_falcogini.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_falcogini.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_falcogini.texture = "units/payday2_cash/safes/cop/sticker/sticker_falcogini_df"
tweak_data.blackmarket.textures.wpn_ptrn_falcogini.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_falcogini.name_id = "bm_txt_falcogini"
tweak_data.blackmarket.textures.wpn_ptrn_dwskull= {}
tweak_data.blackmarket.textures.wpn_ptrn_dwskull.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_dwskull.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_dwskull.texture = "units/payday2_cash/safes/cop/sticker/dw_skull_df"
tweak_data.blackmarket.textures.wpn_ptrn_dwskull.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_dwskull.name_id = "bm_txt_dwskull"
tweak_data.blackmarket.textures.wpn_ptrn_dragons= {}
tweak_data.blackmarket.textures.wpn_ptrn_dragons.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_dragons.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_dragons.texture = "units/payday2_cash/safes/cop/sticker/dragons_df"
tweak_data.blackmarket.textures.wpn_ptrn_dragons.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_dragons.name_id = "bm_txt_dragons"
tweak_data.blackmarket.textures.wpn_ptrn_dallaslogo= {}
tweak_data.blackmarket.textures.wpn_ptrn_dallaslogo.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_dallaslogo.texture_bundle_folder = "units/payday2_cash/safes/dallas"
tweak_data.blackmarket.textures.wpn_ptrn_dallaslogo.texture = "units/payday2_cash/safes/dallas/sticker/sticker_dallas_logo_df"
tweak_data.blackmarket.textures.wpn_ptrn_dallaslogo.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_dallaslogo.name_id = "bm_txt_dallaslogo"
tweak_data.blackmarket.textures.wpn_ptrn_dabomb= {}
tweak_data.blackmarket.textures.wpn_ptrn_dabomb.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_dabomb.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_dabomb.texture = "units/payday2_cash/safes/cop/sticker/sticker_dabomb_df"
tweak_data.blackmarket.textures.wpn_ptrn_dabomb.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_dabomb.name_id = "bm_txt_dabomb"
tweak_data.blackmarket.textures.wpn_ptrn_burningskull= {}
tweak_data.blackmarket.textures.wpn_ptrn_burningskull.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_burningskull.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_burningskull.texture = "units/payday2_cash/safes/cop/sticker/sticker_burning_skull_df"
tweak_data.blackmarket.textures.wpn_ptrn_burningskull.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_burningskull.name_id = "bm_txt_burningskull"
tweak_data.blackmarket.textures.wpn_ptrn_boom= {}
tweak_data.blackmarket.textures.wpn_ptrn_boom.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_boom.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_boom.texture = "units/payday2_cash/safes/cop/sticker/sticker_boom_df"
tweak_data.blackmarket.textures.wpn_ptrn_boom.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_boom.name_id = "bm_txt_boom"
tweak_data.blackmarket.textures.wpn_ptrn_bombsaway= {}
tweak_data.blackmarket.textures.wpn_ptrn_bombsaway.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_bombsaway.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_bombsaway.texture = "units/payday2_cash/safes/cop/sticker/sticker_bombs_away_df"
tweak_data.blackmarket.textures.wpn_ptrn_bombsaway.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_bombsaway.name_id = "bm_txt_bombsaway"
tweak_data.blackmarket.textures.wpn_ptrn_bloodsplat= {}
tweak_data.blackmarket.textures.wpn_ptrn_bloodsplat.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_bloodsplat.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_bloodsplat.texture = "units/payday2_cash/safes/cop/sticker/sticker_bloodsplat_df"
tweak_data.blackmarket.textures.wpn_ptrn_bloodsplat.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_bloodsplat.name_id = "bm_txt_bloodsplat"
tweak_data.blackmarket.textures.wpn_ptrn_biohazard= {}
tweak_data.blackmarket.textures.wpn_ptrn_biohazard.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_biohazard.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_biohazard.texture = "units/payday2_cash/safes/cop/sticker/sticker_biohazard_df"
tweak_data.blackmarket.textures.wpn_ptrn_biohazard.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_biohazard.name_id = "bm_txt_biohazard"
tweak_data.blackmarket.textures.wpn_ptrn_bdsm= {}
tweak_data.blackmarket.textures.wpn_ptrn_bdsm.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_bdsm.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_bdsm.texture = "units/payday2_cash/safes/cop/sticker/sticker_bdsm_df"
tweak_data.blackmarket.textures.wpn_ptrn_bdsm.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_bdsm.name_id = "bm_txt_bdsm"
tweak_data.blackmarket.textures.wpn_ptrn_angrybomb= {}
tweak_data.blackmarket.textures.wpn_ptrn_angrybomb.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_angrybomb.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_angrybomb.texture = "units/payday2_cash/safes/cop/sticker/sticker_angrybomb_df"
tweak_data.blackmarket.textures.wpn_ptrn_angrybomb.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_angrybomb.name_id = "bm_txt_angrybomb"
tweak_data.blackmarket.textures.wpn_ptrn_americanflag2= {}
tweak_data.blackmarket.textures.wpn_ptrn_americanflag2.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_americanflag2.texture_bundle_folder = "units/payday2_cash/safes/dallas"
tweak_data.blackmarket.textures.wpn_ptrn_americanflag2.texture = "units/payday2_cash/safes/dallas/sticker/sticker_american_flag_02_df"
tweak_data.blackmarket.textures.wpn_ptrn_americanflag2.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_americanflag2.name_id = "bm_txt_americanflag2"
tweak_data.blackmarket.textures.wpn_ptrn_americanflag1= {}
tweak_data.blackmarket.textures.wpn_ptrn_americanflag1.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_americanflag1.texture_bundle_folder = "units/payday2_cash/safes/dallas"
tweak_data.blackmarket.textures.wpn_ptrn_americanflag1.texture = "units/payday2_cash/safes/dallas/sticker/sticker_american_flag_df"
tweak_data.blackmarket.textures.wpn_ptrn_americanflag1.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_americanflag1.name_id = "bm_txt_americanflag1"
tweak_data.blackmarket.textures.wpn_ptrn_8ball= {}
tweak_data.blackmarket.textures.wpn_ptrn_8ball.value = 0 
tweak_data.blackmarket.textures.wpn_ptrn_8ball.texture_bundle_folder = "units/payday2_cash/safes/cop"
tweak_data.blackmarket.textures.wpn_ptrn_8ball.texture = "units/payday2_cash/safes/cop/sticker/sticker_8ball_df"
tweak_data.blackmarket.textures.wpn_ptrn_8ball.pcs = {}
tweak_data.blackmarket.textures.wpn_ptrn_8ball.name_id = "bm_txt_8ball"